Subject: Re: RFC: disablenetwork facility. (v4)

From: [email-masked] (Eric W. Biederman)
Date: Wed, 30 Dec 2009 13:12:33 -0800

"Serge E. Hallyn" <[email-masked]> writes:

> Quoting Eric W. Biederman ([email-masked]):
>> "Serge E. Hallyn" <[email-masked]> writes:
>> 
>> >> In common cap we drop the new capabilities if we are being ptraced.
>> >> Look for brm->unsafe.
>> >
>> > Yes - that isn't the issue.
>> 
>> Right.  Sorry.  I saw that we set unsafe and totally
>> missed that we don't act on it in that case.
>> 
>> > It goes back to finding a way to figure out what is inside the
>> > file when the installer obviously thought we shouldn't be able
>> > to read the file.
>> >
>> > Do we care?  <shrug>
>> 
>> <shrug>
>> 
>> I expect two lines of testing bprm->unsafe and failing
>> at the right point would solve that. 
>
> But what is the right response?  Prevent excecution?  Stop the
> tracer?  Enter some one-shot mode where the whole exec appears
> as one step, but tracing continues if execution continues on a
> dumpable file?

The whole exec should already appear as one step.

The right response is to either fail the exec or disable
the tracer.  Since the other case drops privs.  I expect
failing the exec is the simplest and most consistent thing
we can do.

Eric